/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Quickfile extension for Thunderbird.
 *
 * The Initial Developer of the Original Code is Paul Tomlin.
 * Portions created by the Initial Developer are Copyright (C) 2005, 2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *  Paul Tomlin
 *  Mark Shuttleworth
 *
 * ***** END LICENSE BLOCK ***** */

/* $Id$ */

/**
 *	TODO: This will need code to handle updating the key & modifiers
 *	 based on preferences
 *	@see http://www.xulplanet.com/references/xpcomref/ifaces/nsIPrefBranch2.html 
 */
 
function goQuickfileMove() {
  dump("goQuickfileMove()\n");

  goQuickfileWithMode('move');
}

function goQuickfileCopy() {
  dump("goQuickfileCopy()\n");

  goQuickfileWithMode('copy');
}

function goQuickfileInstaMove() {
  dump("goQuickfileInstaMove()\n");

  goQuickfileWithMode('instamove');
}

function goQuickfileInstaCopy() {
  dump("goQuickfileInstaCopy()\n");

  goQuickfileWithMode('instacopy');
}

function goQuickfileNavigate() {
  dump("goQuickfileNavigate()\n");

  goQuickfileWithMode('navigate');
}

function goQuickfileWithMode(aMode) {
  dump("goQuickfileWithMode(" + aMode + ")\n");

  var win = window.openDialog(
    "chrome://{b1095862-e2d0-4fc0-9793-b46bc7d3ae72}/content/quickfile.xul",
    "quickfileDialog", 
    "chrome,resizable,centerscreen,modal", aMode);
}
